Bug 161858 - Find Duplicate Image fails with Canon Raw Files
Summary: Find Duplicate Image fails with Canon Raw Files
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Similarity (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-09 19:28 UTC by Paul Waldo
Modified: 2017-07-05 04:34 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Waldo 2008-05-09 19:28:30 UTC
Version:           0.9.4-beta4 (using 3.5.8, Kubuntu (gutsy) 4:3.5.8-0ubuntu3.4)
Compiler:          Target: x86_64-linux-gnu
OS:                Linux (x86_64) release 2.6.22-14-generic

When "Find Duplicate Images..." is selected, Digikam scans all of the selected images.  It fails on my Canon CRW files with the following message:

/home/digikam/Pictures/2008-01-01/photo2008-01-01_09-55-12-000045.crw: Not a TIFF file, bad version number 26 (0x1a).
QImage::convertDepth: Image is a null image

JPEG images are processed properly.
Comment 1 caulier.gilles 2008-05-10 08:56:56 UTC
Paul,

With KDE4 port of digiKam, we will make a new tool to find dupplicate in digiKam core. This problem will diseapears.

Nota : we will use digiKam database. The tool will not be a kipi-plugins.

Gilles Caulier
Comment 2 FiNeX 2008-05-12 11:04:25 UTC
@Gilles: so, shouldn't this bug report be closed?
Comment 3 caulier.gilles 2008-06-16 23:26:00 UTC
SVN commit 821218 by cgilles:

digiKam from trunk: "Et Voila !!!" Now the Find Duplicates tool from digiKam core is fully functional. This one is based on Haar wavelets fingerprints managed by new digiKam database.
A screenshot : http://digikam3rdparty.free.fr/Screenshots/temp/findduplicatesview3.png

Note: with KDE4, the old FindImages kipi-plugin become obsolete wit digiKam.

BUGS: 162152
BUGS: 161858
BUGS: 150077
BUGS: 112473
BUGS: 107095
BUGS: 104067


 M  +40 -23    findduplicatesview.cpp  
 M  +10 -7     findduplicatesview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=821218